Bug 1093987 - Review Request: python3-opengl - OpenGL bindings for Python3
Review Request: python3-opengl - OpenGL bindings for Python3
Status: CLOSED DUPLICATE of bug 1086438
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-04 02:06 EDT by Ganapathi Kamath
Modified: 2015-07-21 08:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 06:49:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
python3-opengl.spec (2.46 KB, text/x-rpm-spec)
2014-05-04 02:07 EDT, Ganapathi Kamath
no flags Details
python3-opengl-3.0.2-1.1.src.rpm (873.33 KB, application/x-redhat-package-manager)
2014-05-04 02:07 EDT, Ganapathi Kamath
no flags Details

  None (edit)
Description Ganapathi Kamath 2014-05-04 02:06:05 EDT
Spec URL: <attached>
SRPM URL: <attached>
Description: adapted a srpm and made to compile on my fedora-20
Fedora Account System Username: hgkamath 


It would be nice if "inital package hosting request" is granted for hgkamath on fedorapeople
Comment 1 Ganapathi Kamath 2014-05-04 02:07:13 EDT
Created attachment 892255 [details]
python3-opengl.spec
Comment 2 Ganapathi Kamath 2014-05-04 02:07:55 EDT
Created attachment 892256 [details]
python3-opengl-3.0.2-1.1.src.rpm
Comment 3 Jamie Nguyen 2014-05-05 06:37:18 EDT
I've added "Blocks: FE-NEEDSPONSOR" as you need a sponsor.

Have you reached out to the PyOpenGL maintainers to see if they plan to build a python3 subpackage? Since the python2 and python3 versions of PyOpenGL are build from the same source tarball, it would make sense for both sets of packages to be built from the same SRPM. There is more advice about this on the Python Packaging Guidelines.

The official packaging Guidelines to browse for information:
https://fedoraproject.org/wiki/Packaging:Guidelines
https://fedoraproject.org/wiki/Packaging:Python


Issues:
=======

You can run rpmlint on your SRPM to see outstanding issues:

$ rpmlint python3-opengl-3.0.2-1.1.src.rpm 
python3-opengl.src: W: non-standard-group Development/Libraries/Python
python3-opengl.src: W: invalid-license BSD-3-Clause
python3-opengl.src:42: W: macro-in-comment %{py_requires}
python3-opengl.src:47: W: macro-in-comment %else
python3-opengl.src:49: W: macro-in-comment %endif
1 packages and 0 specfiles checked; 0 errors, 5 warnings.


1) non-standard-group

Use a valid group from /usr/share/doc/rpm/GROUPS


2) invalid-license

You should use the appropriate License tag from the following list:
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses


3) macro-in-comment

$ rpmlint -I macro-in-comment
macro-in-comment:
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

I also see some opensuse macros that don't need to be there.


4) Python Packaging Guidelines

We have a great page on the guidelines for python packages. Please use the appropriate macros:
https://fedoraproject.org/wiki/Packaging:Python


5) I assume you don't plan to build this for EL6, so please remove any redundant macros:

https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean


6) Please use an appropriate changelog format.

https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs


7) The PyOpenGL package has the Tk widget support put into a subpackage. Have you considered the same?


8) Consider using DistTag in the Release tag:

https://fedoraproject.org/wiki/Packaging:DistTag#.25.7Bdist.7D_in_the_Release:_field


9) Why does the Release tag start at 1.1? Probably should just be 1.
Comment 4 Christopher Meng 2014-05-05 06:49:13 EDT
It's better to create it in one package, yes pyopengl has received the request.

*** This bug has been marked as a duplicate of bug 1086438 ***

Note You need to log in before you can comment on or make changes to this bug.